#########################
#         CBIO          #
#      TUTORIAL 4       #
#########################

#Load Results File (if not already loaded)
bmi.linear <- read.table("~/plinkout/bmi-corrected.assoc.linear",header=T)

#Select SNPs with a p-value < 0.01
p01 <- subset(bmi.linear,bmi.linear$P < 0.01)
#Generate a flat file that contains the SNP names
write.table(p01$SNP,"~/plinkout/clean/p01.txt",row.names=F,col.names=F,quote=FALSE)

#Sort the results by p-value
sort.p <- bmi.linear[order(bmi.linear$P) , ]
#Select top 1000 SNPs (arbitrary)
top1000 <- sort.p[1:1000,]
write.table(top1000$SNP,"~/plinkout/clean/p01.txt",row.names=F,col.names=F,quote=FALSE)

